<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class LocationStatus 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The calculated name of the location. Derived from internalName ?: publicName ?: sourceName ?: sourceId.*/
    public string $name;
    /** @var bool $isActive Indicates if the location has a corresponding active business location.*/
    public bool $isActive;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The calculated name of the location. Derived from internalName ?: publicName ?: sourceName ?: sourceId.
     * @param  bool  $isActive Indicates if the location has a corresponding active business location.
     */
    public function __construct(string $id, string $name, bool $isActive)
    {
        $this->id = $id;
        $this->name = $name;
        $this->isActive = $isActive;
    }
    

}