<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class GetAssignedTasksRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var null|\Bushelpowered\Api\Crm\V1\Request\TaskFilter $filter */
    public ?\Bushelpowered\Api\Crm\V1\Request\TaskFilter $filter = null;
    /** @var null|\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination */
    public ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination = null;

    /**
     * @param  null|\Bushelpowered\Api\Crm\V1\Request\TaskFilter  $filter 
     * @param  null|\Bushelpowered\Api\Crm\V1\Request\ActivityPagination  $pagination 
     */
    public function __construct(?\Bushelpowered\Api\Crm\V1\Request\TaskFilter $filter, ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination $pagination)
    {
        $this->filter = $filter;
        $this->pagination = $pagination;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Crm\V1\Request\ActivityPagination 
     */
    public function getPagination(): ?\Bushelpowered\Api\Crm\V1\Request\ActivityPagination
    {
        return $this->pagination;
    }
}