<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class OverTimeUsageResponse 
{
    /** @var string $company */
    public string $company;
    /** @var null|string $date */
    public ?string $date = null;
    /** @var null|int $loggedInUser */
    public ?int $loggedInUser = null;
    /** @var null|int $visitorIdCount */
    public ?int $visitorIdCount = null;
    /** @var null|int $visitIdCount */
    public ?int $visitIdCount = null;

    /**
     * @param  string  $company 
     * @param  null|string  $date 
     * @param  null|int  $loggedInUser 
     * @param  null|int  $visitorIdCount 
     * @param  null|int  $visitIdCount 
     */
    public function __construct(string $company, ?string $date, ?int $loggedInUser, ?int $visitorIdCount, ?int $visitIdCount)
    {
        $this->company = $company;
        $this->date = $date;
        $this->loggedInUser = $loggedInUser;
        $this->visitorIdCount = $visitorIdCount;
        $this->visitIdCount = $visitIdCount;
    }
    

}