<?php
namespace Bushelpowered\Api\Data\Analytics\V1\Response;
        
class UniqueVisitorsResponse 
{
    /** @var string $company */
    public string $company;
    /** @var null|string $date */
    public ?string $date = null;
    /** @var null|int $loggedInUser */
    public ?int $loggedInUser = null;
    /** @var null|int $visitor */
    public ?int $visitor = null;

    /**
     * @param  string  $company 
     * @param  null|string  $date 
     * @param  null|int  $loggedInUser 
     * @param  null|int  $visitor 
     */
    public function __construct(string $company, ?string $date, ?int $loggedInUser, ?int $visitor)
    {
        $this->company = $company;
        $this->date = $date;
        $this->loggedInUser = $loggedInUser;
        $this->visitor = $visitor;
    }
    

}