<?php
namespace Bushelpowered\Api\Fulfillment\Configuration\V1\Response;
        
class RemarkResponse 
{
    /** @var string $code The remark code, based on the approved list*/
    public string $code;
    /** @var string $name The name of the remark*/
    public string $name;
    /** @var string $valueLabel The label to be used for the value.*/
    public string $valueLabel;

    /**
     * @param  string  $code The remark code, based on the approved list
     * @param  string  $name The name of the remark
     * @param  string  $valueLabel The label to be used for the value.
     */
    public function __construct(string $code, string $name, string $valueLabel)
    {
        $this->code = $code;
        $this->name = $name;
        $this->valueLabel = $valueLabel;
    }
    

}