<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class UserIdentifiers 
{
    /** @var string $userId The id of the user, sometimes just called bushel_id.*/
    public string $userId;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\Identifier[] $identifiers */
    public array $identifiers;

    /**
     * @param  string  $userId The id of the user, sometimes just called bushel_id.
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\Identifier[]  $identifiers 
     */
    public function __construct(string $userId, array $identifiers)
    {
        $this->userId = $userId;
        $this->identifiers = $identifiers;
    }
    

}