<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class IdErrors extends \Exception 
{
    /** @var array $idErrors A map with keys being the id of the item that failed to build, the value being an error message.*/
    public array $idErrors;
    /** @var  $message */
    public  $message;
    public $code = 422;
        

    /**
     * @param  array  $idErrors A map with keys being the id of the item that failed to build, the value being an error message.
     * @param    $message 
     */
    public function __construct(array $idErrors,  $message)
    {
        parent::__construct($message, 422);
        $this->idErrors = $idErrors;
        $this->message = $message;
    }
    

}