<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Request;
        
class UpdateBlacklistRequest 
{
    /** @var string[]|null $removeFromBlacklist List of tenant ids to remove from the blacklist*/
    public ?array $removeFromBlacklist = null;
    /** @var string[]|null $addToBlacklist List of tenant ids to add to the blacklist.*/
    public ?array $addToBlacklist = null;

    /**
     * @param  string[]|null  $removeFromBlacklist List of tenant ids to remove from the blacklist
     * @param  string[]|null  $addToBlacklist List of tenant ids to add to the blacklist.
     */
    public function __construct(?array $removeFromBlacklist, ?array $addToBlacklist)
    {
        $this->removeFromBlacklist = $removeFromBlacklist;
        $this->addToBlacklist = $addToBlacklist;
    }
    

}