<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class FuturesRequest 
{
    /** @var null|int $limit The number of futures months to return, all of them if null.*/
    public ?int $limit = null;
    /** @var null|string $commodity The commodity to return futures for, all of them if null.*/
    public ?string $commodity = null;

    /**
     * @param  null|int  $limit The number of futures months to return, all of them if null.
     * @param  null|string  $commodity The commodity to return futures for, all of them if null.
     */
    public function __construct(?int $limit, ?string $commodity)
    {
        $this->limit = $limit;
        $this->commodity = $commodity;
    }
    

}