<?php
namespace Bushelpowered\Api\Common;
        
class ConstraintViolation extends \Exception 
{
    /** @var array $validation */
    public array $validation;
    /** @var  $message */
    public  $message;
    public $code = 422;
        

    /**
     * @param  array  $validation 
     * @param    $message 
     */
    public function __construct(array $validation,  $message)
    {
        parent::__construct($message, 422);
        $this->validation = $validation;
        $this->message = $message;
    }
    

}