<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Request;
        
class UpdateRoleRequest 
{
    /** @var string $id The id of the role to update*/
    public string $id;
    /** @var null|string $name The name of the role*/
    public ?string $name = null;

    /**
     * @param  string  $id The id of the role to update
     * @param  null|string  $name The name of the role
     */
    public function __construct(string $id, ?string $name)
    {
        $this->id = $id;
        $this->name = $name;
    }
    

}