<?php
namespace Bushelpowered\Api\Platform\Connection\V1\Response;
        
class GetAllConnectionsDataResponse 
{
    /** @var string $tenantId The tenant identifier.*/
    public string $tenantId;
    /** @var string $tenantName The tenant's name.*/
    public string $tenantName;
    /** @var \Bushelpowered\Api\Platform\Connection\V1\Response\GetAllConnectionResponse[] $connections */
    public array $connections;

    /**
     * @param  string  $tenantId The tenant identifier.
     * @param  string  $tenantName The tenant's name.
     * @param  \Bushelpowered\Api\Platform\Connection\V1\Response\GetAllConnectionResponse[]  $connections 
     */
    public function __construct(string $tenantId, string $tenantName, array $connections)
    {
        $this->tenantId = $tenantId;
        $this->tenantName = $tenantName;
        $this->connections = $connections;
    }
    

}