<?php
namespace Bushelpowered\Api\Platform\File\V1\Common;
        
class ProportionalResize implements \Bushelpowered\Api\Platform\File\V1\Common\HasOptionalDimensions
{
    /** @var null|int $height The height in pixels.*/
    public ?int $height = null;
    /** @var null|int $width The width in pixels.*/
    public ?int $width = null;

    /**
     * @param  null|int  $height The height in pixels.
     * @param  null|int  $width The width in pixels.
     */
    public function __construct(?int $height, ?int $width)
    {
        $this->height = $height;
        $this->width = $width;
    }
    
    /**
     * @return null|int The height in pixels.
     */
    public function getHeight(): ?int
    {
        return $this->height;
    }
    /**
     * @return null|int The width in pixels.
     */
    public function getWidth(): ?int
    {
        return $this->width;
    }
}