<?php
namespace Bushelpowered\Api\Platform\Tenant\V1\Response;
        
class AccountsForCompanySlugAndUserDataResponse 
{
    /** @var string $tenantId */
    public string $tenantId;
    /** @var string $tenantName */
    public string $tenantName;
    /** @var string $datasourceId */
    public string $datasourceId;
    /** @var string $datasourceSlug */
    public string $datasourceSlug;
    /** @var string $userId */
    public string $userId;
    /** @var \Bushelpowered\Api\Platform\Tenant\V1\Model\AccountStandard[] $accounts */
    public array $accounts;

    /**
     * @param  string  $tenantId 
     * @param  string  $tenantName 
     * @param  string  $datasourceId 
     * @param  string  $datasourceSlug 
     * @param  string  $userId 
     * @param  \Bushelpowered\Api\Platform\Tenant\V1\Model\AccountStandard[]  $accounts 
     */
    public function __construct(string $tenantId, string $tenantName, string $datasourceId, string $datasourceSlug, string $userId, array $accounts)
    {
        $this->tenantId = $tenantId;
        $this->tenantName = $tenantName;
        $this->datasourceId = $datasourceId;
        $this->datasourceSlug = $datasourceSlug;
        $this->userId = $userId;
        $this->accounts = $accounts;
    }
    

}